JazzWriterParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a JazzWriterParser. More...

Inheritance diagram for JazzWriterParserInternal::SubDocument:

## Public Member Functions
| SubDocument (JazzWriterParser &pars, MWAWInputStreamPtr const &input, MWAWInputStreamPtr const &rsrcInput, unsigned id)
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
MWAWInputStreamPtr | m_rsrcInput
| the resource fork input
unsigned | m_zId
| the zone id
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a JazzWriterParser.

## Constructor & Destructor Documentation

## ◆ SubDocument()

JazzWriterParserInternal::SubDocument::SubDocument | ( | JazzWriterParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWInputStreamPtr const & | rsrcInput,
|  | unsigned | id )
| inline

Referenced by operator!=().

## ◆ ~SubDocument()

JazzWriterParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## Member Function Documentation

## ◆ operator!=()

bool JazzWriterParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ parse()

void JazzWriterParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_rsrcInput

MWAWInputStreamPtr JazzWriterParserInternal::SubDocument::m_rsrcInput
| protected

the resource fork input

Referenced by operator!=(), parse(), and SubDocument().

## ◆ m_zId

unsigned JazzWriterParserInternal::SubDocument::m_zId
| protected

the zone id

Referenced by operator!=(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- JazzWriterParser.cxx